/* eslint max-len: 0 */

export default {
  "step_dataset": "Dataset",
  "step_distribution": "Distribution",
  "step_download": "Summary",
  "load": "Load record from file",
  "load_hint": "Click and select a file",
  "dataset_title_cs": "Dataset title in Czech",
  "dataset_title_en": "Dataset title in English",
  "dataset_title_invalid": "Dataset title is mandatory.",
  "dataset_description_cs": "Dataset description in Czech",
  "dataset_description_en": "Dataset description in English",
  "dataset_description_invalid": "Dataset description is mandatory.",
  "accrual_periodicity": "Accrual periodicity",
  "dataset_spatial": "Spatial coverage",
  "dataset_spatial_add": "Add new",
  "dataset_spatial_add_confirm": "Add",
  "dataset_spatial_continent": "Continent",
  "dataset_spatial_country": "Country",
  "dataset_spatial_place": "Place",
  "dataset_spatial_arbitrary": "Arbitrary URL",
  "dataset_spatial_url": "Territory URL",
  "dataset_spatial_url_invalid": "Invalid spatial coverage HTTPS URL",
  "dataset_spatial_invalid": "Spatial coverage is mandatory",
  "hint_dataset_spatial_url": "Enter HTTPS URL of a territory, eg. geonames",
  "help_dataset_spatial_url": "<h3>Spatial coverage - Arbitrary URL</h3><p>If you are unable to pick a territory from existing codelists, you may enter other URL here.</p>",
  "hint_dataset_spatial": "You can a add new element by clicking on + button.",
  "help_dataset_spatial": "<h3>Spatial coverage</h3><p>Identifiers of the territory of the dataset. Elements are chosen from existing codelists or you might add an arbitrary URL. Add a new element by clicking on the Add new button below and filling in the form in a dialog.</p>",
  "dataset_spatial_ruian" : "RÚIAN",
  "ruian_type": "RÚIAN territorial unit type",
  "ruian": "RÚIAN territorial unit code",
  "ruian_iri": "RÚIAN territorial unit IRI",
  "ruian_invalid": "Name of the RÚIAN territorial unit is mandatory.",
  "keywords": "Keywords",
  "keywords_cs": "New keyword in Czech",
  "keywords_en": "New keyword in English",
  "hint_keywords": "Separate the keywords using tab or enter.",
  "help_dataset_keyword": "<h3>Keywords</h3><p>Keywords characterize the published dataset. The enable data consumers to search for related datasets in the whole National Open Data Catalog. They should therefore not be internal identifiers used only by the publisher. On the contrary, they should be words which would be selected by the most data consumers to describe the dataset. For inspiration, see other registered datasets in the National Open Data Catalog.</p>",
  "hint_dataset_keyword_cs":"Czech equivalent of the new keyword",
  "hint_dataset_keyword_en":"English equivalent of the new keyword",
  "keywords_error": "Keywords are mandatory.",
  "contact_point_name": "Name of the dataset curator",
  "contact_point_email": "E-mail of the dataset curator",
  "contact_point_email_invalid": "Invalid e-mail address.",
  "temporal": "Temporal coverage",
  "temporal_start": "Temporal coverage from",
  "hint_temporal_start": "Select the start of the temporal coverage. To change the year, click on the year in the calendar.",
  "temporal_end": "Temporal coverage to",
  "temporal_resolution": "Temporal resolution",
  "hint_temporal": "Enter a string corresponding to the temporal resolution. You can find the format in the help",
  "temporal_invalid": "Invalid temporal resolution string",
  "spatial_resolution_meters": "Spatial resolution in meters",
  "hint_spatial": "Enter spatial resolution in meters",
  "spatial_invalid": "Invalid spatial resolution value.",
  "hint_temporal_end": "Select the end of the temporal coverage. To change the year, click on the year in the calendar.",
  "documentation": "Link to the dataset documentation",
  "documentation_invalid": "Invalid HTTPS URL.",
  "themes": "EuroVoc concepts",
  "distribution_url": "Link for distribution download",
  "distribution_url_missing": "Download URL is mandatory.",
  "distribution_url_invalid": "Invalid HTTPS URL.",
  "distribution_media_type": "Media type of the file to be downloaded",
  "distribution_format": "File type of the file to be downloaded",
  "distribution_compress_format": "Media type of the compression",
  "distribution_package_format": "Media type of the package",
  "format_missing": "File type is mandatory.",
  "title_missing": "Web service must have a title.",
  "distribution_title_cs": "Distribution title in Czech",
  "distribution_title_en": "Distribution title in English",
  "distribution_schema_link": "Link to the schema of the distribution",
  "distribution_schema_missing": "URL is mandatory.",
  "distribution_schema_invalid": "Invalid HTTPS URL.",
  "license_author_type": "Copyrighted work",
  "license_author_name": "Names of authors",
  "license_author_custom": "Link to custom license regarding the copyrighted work",
  "license_author_custom_invalid": "Invalid HTTPS URL.",
  "license_db_type": "Copyrighted database",
  "license_db_name": "Names of authors of database",
  "license_db_custom": "Link to custom license regarding the copyrighted database",
  "license_db_custom_invalid": "Invalid HTTPS URL.",
  "license_specialdb_type": "Sui generis database rights",
  "license_specialdb_custom": "Link to custom license regarding sui generis database rights",
  "license_specialdb_custom_invalid": "Invalid HTTPS URL.",
  "license_personal_type": "Personal data",
  "no_distribution": "The dataset now contains no distributions.",
  "delete_distribution": "Remove distribution",
  "headline_distribution_license": "Terms of use of the distribution",
  "distribution_download": "File to be downloaded",
  "headline_access": "Access to the distribution",
  "service_endpoint_url": "Endpoint URL",
  "hint_endpoint_url": "The root location or primary endpoint of the service (an IRI).",
  "help_endpoint_url": "HTTPS URL of the service endpoint.",
  "endpoint_url_missing": "Endpoint URL is mandatory.",
  "endpoint_url_invalid": "Invalid HTTPS URL.",
  "endpoint_description_missing": "Endpoint description is mandatory",
  "endpoint_description_invalid": "Invalid HTTPS URL.",
  "service_endpoint_description": "Link to the endpoint description",
  "hint_endpoint_description": "A description of the services available via the end-points, including their operations, parameters etc.",
  "help_endpoint_description": "<h3>Endpoint description</h3><p>An endpoint description may be expressed in a machine-readable form, such as an OpenAPI (Swagger) description. a SPARQL Service Description, etc.</p>",
  "media_type": "Media type",
  "media_type_missing": "Media type is mandatory.",
  "distribution_schema": "Distribution schema",
  "terms_of_use": "Terms of use",
  "nav_download": "Summary",
  "nav_dataset": "Dataset",
  "nav_distributions": "Distribution",
  "summary_nkod_download": "Download the registration record and send it as an only attachment of a data message with \".txt\" extension and the subject \"NKOD\" to the databox ",
  "summary_nkod_download_tail": "Received records are processed in batches, typically over night.",
  "summary_lkod_download": "Save the catalog record to your local open data catalog.",
  "button_download": "Download",
  "download_new_nkod": "Download new NODC record",
  "download_edit_nkod": "Download NODC editing record",
  "download_edit_lkod": "Download LODC editing record",
  "download_new_lkod": "Download new LODC record",
  "summary_error": "The form is not yet filled in correctly.",
  "summary_info": "Here you can see the overview of the registered dataset.",
  "ruian_autocomplete_no_data": "Start typing the name of the territorial unit",
  "format_autocomplete_no_data": "Start typing the file type, e.g. \"CSV\"",
  "media_type_autocomplete_no_data": "Start typing the media type, e.g. \"text/csv\"",
  "themes_autocomplete_no_data": "Start typing the name of the EuroVoc concept",
  "author_name_missing": "Names of authors are mandatory for CC BY 4.0.",
  "custom_license_missing": "Link to the custom license is mandatory.",
  "dataset_theme": "Dataset theme",
  "dataset_ofn": "Specification",
  "dataset_theme_invalid": "Dataset theme is mandatory.",
  "dataset_theme_invalid_url": "Invalid HTTPS URL.",
  "dataset_ofn_invalid_url": "Invalid HTTPS URL.",
  "hint_dataset_title": "It should be concise and descriptive.",
  "help_dataset_title": "<h3>Dataset title</h3><p>Enter the title for the registered dataset. It should by concise and descriptive. It is one of the main search criteria used by your data consumers. For instance, think about whether words like &quot;list&quot; are not superfluous given that most of the datasets are lists of something.</p>",
  "hint_dataset_description": "Describe what is in the dataset, how it can be used and also possible pitfalls to look out for.",
  "help_dataset_description": "<h3>Dataset description</h3><p>Describe the dataset in more detail. Describe what is in the dataset, how it can be used and also possible pitfalls to look out for.</p>",
  "help_accrual_periodicity": "<h3>Accrual periodicity</h3><p>This serves to inform the data consumer about the frequency in which they should check for dataset updates. It is not an information about when exactly the next update occurs. The values are from the <a href=\"https://publications.europa.eu/en/web/eu-vocabularies/at-concept-scheme/-/resource/authority/frequency/?target=Browse\" target=\"_blank\">European frequency codelist</a>.</p>",
  "help_ruian_type": "<h3>Spatial coverage - RÚIAN territorial unit type</h3><p>Identifier of the territory covered by this dataset. The territorial units are from the Registry of Territorial Identification, Addresses and Real Estate. First, select the territorial unit type, then select its code.</p>",
  "help_ruian": "<h3>Spatial coverage - RÚIAN territorial unit code</h3><p>Identifier of the territory covered by this dataset. The territorial units are from the Registry of Territorial Identification, Addresses and Real Estate. First, select the territorial unit type, then select its code.</p>",
  "help_contact_point_name": "<h3>Name of the dataset curator</h3><p>Name of the person who can be contacted with feedback regarding this dataset. It is a very important communications channel for receiving error reports or other issues with the dataset.</p>",
  "help_contact_point_email": "<h3>E-mail of the dataset curator</h3><p>E-mail of the person who can be contacted with feedback regarding this dataset. It is a very important communications channel for receiving error reports or other issues with the dataset.</p>",
  "help_temporal_start": "<h3>Temporal coverage</h3><p>Time interval covered by the dataset. For instance, a budget for 2017 will have temporal coverage start <code>2017-01-01</code> and temporal coverage end <code>2017-12-31</code>.</p>",
  "help_temporal_end": "<h3>Temporal coverage</h3><p>Time interval covered by the dataset. For instance, a budget for 2017 will have temporal coverage start <code>2017-01-01</code> and temporal coverage end <code>2017-12-31</code>.</p>",
  "help_temporal": "<h3>Temporal resolution</h3><p>Minimum time period resolvable in the dataset distribution.</p><p>If the dataset is a time-series this should correspond to the spacing of items in the series. For other kinds of dataset, this property will usually indicate the smallest time difference between items in the dataset.</p><p>The format is PnYnMnDTnHnMnS, where P is a literal value that starts the expression, nY is the number of years followed by a literal Y, nM is the number of months followed by a literal M, nD is the number of days followed by a literal D, T is a literal value that separates the date and time, nH is the number of hours followed by a literal H, nM is the number of minutes followed by a literal M, and nS is the number of seconds followed by a literal S. The following rules apply: Any of these numbers and corresponding designators may be absent if they are equal to 0, but at least one number and designator must appear. The numbers may be any unsigned integer, with the exception of the number of seconds, which may be an unsigned decimal number. If a decimal point appears in the number of seconds, there must be at least one digit after the decimal point. A minus sign may appear before the P to specify a negative duration. If no time items (hour, minute, second) are present, the letter T must not appear. Examples: <code>PT1H</code> (1 hour), <code>P20M</code> (20 months), <code>P2Y6M5DT12H35M30S</code> (2 years, 6 months, 5 days, 12 hours, 35 minutes, 30 seconds)</p>",
  "help_spatial": "<h3>Spatial resolution</h3><p>The minimum spatial separation resolvable in a dataset distribution, measured in meters.</p><p>If the dataset is an image or grid this should correspond to the spacing of items. For other kinds of spatial datasets, this property will usually indicate the smallest distance between items in the dataset.</p>",
  "help_documentation": "<h3>Link to the dataset documentation</h3><p>URL of a web page containing detailed documentation of the published dataset. We emphasize that it should be a <strong>web page</strong> URL. Any documents prepared for printing (<code>*.doc</code><code>*.docx</code> or even <code>*.pdf</code>) are highly discouraged in the environment of the Web.</p>",
  "help_dataset_theme": "<h3>Dataset theme</h3><p>Dataset theme from the <a href=\"https://publications.europa.eu/en/web/eu-vocabularies/at-concept-scheme/-/resource/authority/data-theme/?target=Browse\" target=\"_blank\">European dataset themes codelist</a>. It is used to cateogrize each dataset in one of the basic themes which can be used across Europe.</p>",
  "help_dataset_custom_theme": "<h3>Additional dataset themes</h3><p>Optionally, additional themes can be addeds. Enter HTTPS URL of requested themes.</p>",
  "help_dataset_ofn": "<h3>Specification</h3><p>If the dataset uses <a href=\"https://ofn.gov.cz\" target=\"_blank\">formal open norms and shared specifications</a>, specify their URLs here. Only then will the applications searching NODC be able to find your data. Specify them with diacritics, version and a slash at the end like this: <code>https://ofn.gov.cz/turistické-cíle/2020-07-01/</code></p>",
  "hint_themes": "Start typing the theme name.",
  "hint_contact_point_name": "Person or unit who will receive feedback related to the dataset.",
  "hint_documentation": "Enter an HTTPS URL of the web page containing detailed dataset documentation.",
  "hint_contact_point_email": "E-mail for receiving feedback related to the dataset.",
  "help_themes": "<h3>EuroVoc concepts</h3><p>Concepts from <a href=\"https://publications.europa.eu/en/web/eu-vocabularies/th-top-concept-scheme/-/resource/eurovoc/100141?target=Browse&\" target=\"_blank\">EuroVoc multilingual thesaurus</a>. They are used to classify the dataset more precisely.</p>",
  "hint_dataset_theme": "Enter HTTPS URL of other theme",
  "hint_dataset_ofn": "Enter URLs of used formal open norms and shared specifications",
  "help_distribution_schema_link": "<h3>Link to the schema of the distribution</h3><p>URL of the machine readable schema, which can be used to validate the file represented by this distribution. For XML files, these will be XSDs (XML Schemas), for CSV files, this will be a link to its JSON descriptor according to the CSV on the Web recommendation, for JSON files, it will be its JSON schéma, etc.</p>",
  "hint_distribution_title": "Specify the title of this distribution, which will differentiate it from other distributions of the dataset.",
  "help_distribution_title": "<h3>Distribution title</h3><p>Title of this distribution, which will differentiate it from other distributions of the dataset.</p>",
  "help_distribution_format": "<h3>File type of the file to be downloaded</h3><p>Specifies the file type using the <a href=\"https://publications.europa.eu/en/web/eu-vocabularies/at-concept-scheme/-/resource/authority/file-type/?target=Browse\" target=\"blank\">European File Types codelist</a>. Examples: <code>CSV</code> or <code>Zipped GML</code>. If there is no item for your specific format, you may select the closest applicable format. For instance, if there is no item for some specific XML based format, you may simply specify <code>XML</code> and <a href=\"https://publications.europa.eu/en/web/eu-vocabularies/at-dataset/-/resource/dataset/file-type\" target=\"_blank\">submit a request</a> for inclusion of your specific format. This codelist has an overlap with the Media Type codelist managed by IANA, but they are not equivalent. This is why both values are reuired.</p>",
  "help_distribution_media_type": "<h3>Media Type of the file to be downloaded</h3><p>Specifies the Media Type of the file to be downloaded according to the official <a href=\"https://iana.org/assignments/media-types/media-types.xhtml\" target=\"_blank\">IANA Media Types list</a>. Examples: <code>text/csv</code> or <code>application/ld+json</code>. If there is no item for your specific format, you may choose the closest applicable format. For instance, if there is no item for some specific XML based format, you may simply specify <code>application/xml</code>. This codelist has an overlap with the European File Types codelist, but they are not equivalent. This is why both values are reuired. If it is a compressed file (eg. ZIP) or a multiple files bundle, please choose the format after unpacking and fill in the compression or packaging format.</p>",
  "help_distribution_compress_format": "<h3>Media Type of the compression format</h3><p>Specifies the Media Type of the file in which the data is contained in a compressed form according to the official <a href=\"https://iana.org/assignments/media-types/media-types.xhtml\" target=\"_blank\">IANA Media Types list</a>. Examples: <code>application/zip</code> nebo <code>application/gzip</code>.",
  "help_distribution_package_format": "<h3>Media Type of the packaging format</h3><p>Specifies the Media Type of the file in which one or more data files are grouped together, e.g. to enable a set of related files to be downloaded together, according to the official <a href=\"https://iana.org/assignments/media-types/media-types.xhtml\" target=\"_blank\">IANA Media Types list</a>. Example: <code>application/zip</code>.",
  "hint_distribution_url": "HTTPS URL of the file to be downloaded.",
  "hint_distribution_schema": "Specify the HTTPS URL of the machine readable schema of the distribution (XSD, CSVW, ...).",
  "help_distribution_url": "<h3>File download URL</h3><p>HTTPS URL of a <strong>file download</strong>. This must not lead to a textual web page or to a web page with additional links. It must not be a URL of a web service which needs specification of additional parameters to return a file. On the contrary, a web service call URL which returns all records in a file of the specified format may be used.</p>",
  "help_license_author_type": "<h3>Copyrighted work</h3><p>This item is governed by a <a href=\"https://opendata.gov.cz/cinnost:stanoveni-podminek-uziti#autorská_práva\" target=\"_blank\">detailed guide (in Czech only)</a>. Filling the correct values is crucial for the usability and openness of the distribution. For this reason, pay maximum attention to the values selected here. If you select &quot;Contains multiple copyrighted works&quot;, please make sure that for each copyrighted work in the distribution, there is an open license clearly specified.</p>",
  "help_license_author_name": "<h3>Names of authors</h3><p>When the distribution is licensed using CC BY 4.0, state the names of the authors of the work. These are a necessary part of the information about the license and they need to be stated when the distribution is used.</p>",
  "help_license_author_custom": "<h3>Link to a custom license for the copyrighted work</h3><p>When the distribution is licensed using a custom license, which is <strong>not recommended</strong>, specify the URL of the web page with the text of the license.</p>",
  "help_license_db_type": "<h3>Database protected by copyright</h3><p>This item is governed by a <a href=\"https://opendata.gov.cz/cinnost:stanoveni-podminek-uziti#autorská_práva\" target=\"_blank\">detailed guide (in Czech only)</a>. Filling the correct values is crucial for the usability and openness of the distribution. For this reason, pay maximum attention to the values selected here.</p>",
  "help_license_db_name": "<h3>Names of authors of the database</h3><p>When the distribution is licensed as an original database using CC BY 4.0, state the names of the authors of the database. These are a necessary part of the information about the license and they need to be stated when the distribution is used.</p>",
  "hint_license_author_custom": "Specify HTTPS URL of the web page containing the license text.",
  "hint_license_specialdb_custom": "Specify HTTPS URL of the web page containing the license text.",
  "hint_license_author_name": "If there are multiple authors, separate their names by comma and space.",
  "hint_license_db_name": "If there are multiple authors, separate their names by comma and space.",
  "hint_license_db_custom": "Specify HTTPS URL of the web page containing the license text.",
  "help_license_db_custom": "<h3>Link to a custom license for the copyrighted database</h3><p>When the distribution is licensed as an original database using a custom license, which is <strong>not recommended</strong>, specify the URL of the web page with the text of the license.</p>",
  "help_license_specialdb_type": "<h3>Sui generis database rights</h3><p>This item is governed by a <a href=\"https://opendata.gov.cz/cinnost:stanoveni-podminek-uziti#autorská_práva\" target=\"_blank\">detailed guide (in Czech only)</a>. Filling the correct values is crucial for the usability and openness of the distribution. For this reason, pay maximum attention to the values selected here.</p>",
  "help_license_specialdb_custom": "<h3>Link to a custom license for sui generis database rights</h3><p>When the distribution is licensed using a custom license regarding the sui generis database rights, which is <strong>not recommended</strong>, specify the URL of the web page with the text of the license.</p>",
  "help_license_personal_type": "<h3>Personal data</h3><p>Specify whether or not the distribution contains personal data. If it does, us this item to inform your data consumers that by using the distribution, they may become personal data controllers.</p>",
  "help_keywords": "<h3>Keywords</h3><p>Keywords characterize the published dataset. The enable data consumers to search for related datasets in the whole National Open Data Catalog. They should therefore not be internal identifiers used only by the publisher. On the contrary, they should be words which would be selected by the most data consumers to describe the dataset. For inspiration, see other registered datasets in the National Open Data Catalog.</p>",
  "license_author_ccby_full": "Copyrighted work licensed using CC BY 4.0",
  "license_author_ccby_short": "CC BY 4.0",
  "license_author_no_full": "Does not contain copyrighted works",
  "license_author_no_short": "Not copyrighted",
  "license_author_multi_full": "Contains multiple copyrighted works",
  "license_author_multi_short": "Multiple works",
  "license_author_custom_full": "Custom license (not recommended)",
  "license_author_custom_short": "Custom license",
  "license_db_ccby_full": "Database licensed using CC BY 4.0",
  "license_db_ccby_short": "CC BY 4.0",
  "license_db_no_full": "Not a database protected by copyright",
  "license_db_no_short": "Not copyrighted",
  "license_db_custom_full": "Custom license (not recommended)",
  "license_db_custom_short": "Custom license",
  "license_specialdb_cc0_full": "Licensed using CC0",
  "license_specialdb_cc0_short": "CC0",
  "license_specialdb_no_full": "Not protected by sui generis database rights",
  "license_specialdb_no_short": "Not protected",
  "license_specialdb_custom_full": "Custom license (not recommended)",
  "license_specialdb_custom_short": "Custom license",
  "license_personal_no_full": "Does not contain personal data",
  "license_personal_no_short": "No personal data",
  "license_personal_yes_full": "Contains personal data",
  "license_personal_yes_short": "Contains",
  "license_personal_unknown_full": "May contain personal data (not specified)",
  "license_personal_unknown_short": "Not specified",
  "cant_import_dataset": "Unable to load requested dataset.",
  "edit_page_title_nkod": "Edit of an NODC registered dataset",
  "edit_page_title_lcod": "Edit of an LODC registered dataset",
  "edit_page_title_new": "Register a new dataset",
  "edit_page_title_new_lkod": "Register a new LODC dataset",
  "delete_page_title": "Removal of a dataset from NODC",
  "dataset_delete_summary_download": "If you are certain that you want to remove this dataset from the NODC, send the downloaded file as an only attachment of a data message with \".txt\" extension and the subject \"NKOD\" to the databox ",
  "personal_invalid": "For registration of a distribution in NODC it is neccessary to clearly specify whether or not the distribution contains personal data. The value \"May contain personal data\" is only for indication of a legacy record which needs to be further specified.",
  "common_errors_description": "Avoid the mistakes made by many publishers before you. Before you register your dataset, make sure that you don't do some of the ",
  "common_errors_link_label": "most common errors in open data",
  "help_file_or_service": "<h3>Distribution type</h3><p>Distribution can be a downloadable file or a web service providing the data.</p>",
  "hint_file_or_service": "Choose if it's a downloadable file or a web service",
  "distribution_type": "Distribution type",
  "headline_distribution_access": "Downloadable file",
  "headline_service_access": "Data Service",
  "load_url": "Load record from URL",
  "url_title": "Form data URL",
  "hint_url_title": "Enter HTTPS URL of the source data to load into form.",
  "help_url_title": "<h3>Form data URLe</h3><p>Besides loading from file, it's possible to directly enter URL of the source data to load into form. It's expected for the URL to contain a file downloaded from this app or compatible.</p>",
  "load_invalid_url": "Invalid HTTPS URL.",
  "continents": "Continent",
  "continents_no_data": "Start typing the name of the continent",
  "countries": "Country",
  "countries_no_data": "Start typing the name of the country",
  "places": "Place",
  "places_no_data": "Start typing the name of the place",
  "export_dialog_title": "Dataset download settings",
  "export_dialog_title_close": "Discard",
  "export_dialog_title_save": "Apply",
  "dataset_url": "Dataset IRI ",
  "hint_dataset_url": "Enter HTTPS IRI of the dataset according to rules of your local catalog",
  "dataset_url_invalid": "Invalid HTTPS IRI.",
  "import_dialog_failed_title": "Dataset import failed.",
  "import_dialog_failed_close": "Close",
  "publisher": "Publisher IRI",
  "hint_publisher": "Enter HTTPS IRI of the dataset publisher",
  "dataset_publisher_invalid": "Invalid HTTPS IRI.",
  "summary_post_export": "Confirm dataset record using the button.",
  "button_download_dataset_delete": "Download dataset deletion record",
  "button_post_dataset_delete": "Delete the dataset record",
  "button_export_dataset_post": "Confirm dataset record",
  "button_export_dataset_post_invalid": "Confirm incomplete dataset record",
  "download_invalid": "Download incomplete record",
  "service_conforms_to": "Link to data service specification",
  "service_conforms_to_invalid": "Invalid HTTPS IRI.",
  "hint_service_conforms_to": "Link specification with which the data service is compliant.",
  "help_service_conforms_to": "Link specification with which the data service is compliant. For example, for SPARQL endpoints, this is https://www.w3.org/TR/sparql11-protocol/",
  "export_options_error": "Missing dataset or publisher IRI.",
};
